Subject: Re: RE: bug#12774: 24.2.50; EMACS 24.2.50.1 crashing‏

From: Eli Zaretskii <[email-masked]>
Date: Thu, 01 Nov 2012 22:09:14 +0200

[Please keep the bug number on the CC list.]

> From: Vincent Belaïche <[email-masked]>
> Date: Thu, 1 Nov 2012 20:25:44 +0100
> 
> > > I have not yet started to dichotomize my init file to find what cause
> > > the crash, since the crash does not happen always that will be lengthy
> > > before I can zoom to what is to blame.
> > 
> > Well, please try.
> > 
> I have started that, this is not easy because the crash does not happen always... I'll you know when I get something.

Thanks.

> (gdb) run
> Starting program: C:\Programme\GNU\Emacs\bin\runemacs.exe 
> [New Thread 5148.0x160c]
> [Inferior 1 (process 5148) exited normally]
> (gdb) bt full
> (gdb) No stack.
> xbacktrace
> (gdb) Undefined command: "xbacktrace".  Try "help".

You need to debug emacs.exe, not runemacs.exe.  The latter exists only
in order to avoid showing the console window for emacs.exe, and it
exits right away after launching emacs.exe.

After you start runemacs as usual, look up the process ID of emacs.exe
in the Task Manager, and then type

   gdb -p PID

where PID is the process ID of emacs.exe.

> Under MSW, I do not know how to get the PID for the crashing emacs process. Could you tell me how

See above.